Bug 886706 - apropos finds nothing on f17
apropos finds nothing on f17
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: man-db (Show other bugs)
17
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Peter Schiffer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-12 18:06 EST by rmknox
Modified: 2012-12-19 08:33 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-13 12:26:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rmknox 2012-12-12 18:06:47 EST
User-Agent:       Mozilla/5.0 (X11; Linux i686) AppleWebKit/537.11 (KHTML, like Gecko) Chrome/23.0.1271.97 Safari/537.11
Build Identifier: 

apropos returns "nothing appropriate" for everything

Reproducible: Always

Steps to Reproduce:
1.apropos man
man: nothing appropriate
2.
3.
Actual Results:  
[knox@knox ~]$ apropos --debug grep
From the config file /etc/man_db.conf:

Mandatory mandir `/usr/man'.
Mandatory mandir `/usr/share/man'.
Mandatory mandir `/usr/local/share/man'.
Path `/bin' mapped to mandir `/usr/share/man'.
Path `/usr/bin' mapped to mandir `/usr/share/man'.
Path `/sbin' mapped to mandir `/usr/share/man'.
Path `/usr/sbin' mapped to mandir `/usr/share/man'.
Path `/usr/local/bin' mapped to mandir `/usr/local/man'.
Path `/usr/local/bin' mapped to mandir `/usr/local/share/man'.
Path `/usr/local/sbin' mapped to mandir `/usr/local/man'.
Path `/usr/local/sbin' mapped to mandir `/usr/local/share/man'.
Path `/usr/X11R6/bin' mapped to mandir `/usr/X11R6/man'.
Path `/usr/bin/X11' mapped to mandir `/usr/X11R6/man'.
Path `/usr/games' mapped to mandir `/usr/share/man'.
Path `/opt/bin' mapped to mandir `/opt/man'.
Path `/opt/sbin' mapped to mandir `/opt/man'.
Global mandir `/usr/man', catdir `/var/cache/man/fsstnd'.
Global mandir `/usr/share/man', catdir `/var/cache/man'.
Global mandir `/usr/local/man', catdir `/var/cache/man/oldlocal'.
Global mandir `/usr/local/share/man', catdir `/var/cache/man/local'.
Global mandir `/usr/X11R6/man', catdir `/var/cache/man/X11R6'.
Global mandir `/opt/man', catdir `/var/cache/man/opt'.
Added section `1'.
Added section `1p'.
Added section `8'.
Added section `2'.
Added section `3'.
Added section `3p'.
Added section `4'.
Added section `5'.
Added section `6'.
Added section `7'.
Added section `9'.
Added section `0p'.
Added section `n'.
Added section `l'.
Added section `p'.
Added section `o'.
Added section `1x'.
Added section `2x'.
Added section `3x'.
Added section `4x'.
Added section `5x'.
Added section `6x'.
Added section `7x'.
Added section `8x'.
`/usr/man'	`'	`1'
`/usr/share/man'	`'	`1'
`/usr/local/share/man'	`'	`1'
`/bin'	`/usr/share/man'	`0'
`/usr/bin'	`/usr/share/man'	`0'
`/sbin'	`/usr/share/man'	`0'
`/usr/sbin'	`/usr/share/man'	`0'
`/usr/local/bin'	`/usr/local/man'	`0'
`/usr/local/bin'	`/usr/local/share/man'	`0'
`/usr/local/sbin'	`/usr/local/man'	`0'
`/usr/local/sbin'	`/usr/local/share/man'	`0'
`/usr/X11R6/bin'	`/usr/X11R6/man'	`0'
`/usr/bin/X11'	`/usr/X11R6/man'	`0'
`/usr/games'	`/usr/share/man'	`0'
`/opt/bin'	`/opt/man'	`0'
`/opt/sbin'	`/opt/man'	`0'
`/usr/man'	`/var/cache/man/fsstnd'	`-1'
`/usr/share/man'	`/var/cache/man'	`-1'
`/usr/local/man'	`/var/cache/man/oldlocal'	`-1'
`/usr/local/share/man'	`/var/cache/man/local'	`-1'
`/usr/X11R6/man'	`/var/cache/man/X11R6'	`-1'
`/opt/man'	`/var/cache/man/opt'	`-1'
`1'	`'	`-5'
`1p'	`'	`-5'
`8'	`'	`-5'
`2'	`'	`-5'
`3'	`'	`-5'
`3p'	`'	`-5'
`4'	`'	`-5'
`5'	`'	`-5'
`6'	`'	`-5'
`7'	`'	`-5'
`9'	`'	`-5'
`0p'	`'	`-5'
`n'	`'	`-5'
`l'	`'	`-5'
`p'	`'	`-5'
`o'	`'	`-5'
`1x'	`'	`-5'
`2x'	`'	`-5'
`3x'	`'	`-5'
`4x'	`'	`-5'
`5x'	`'	`-5'
`6x'	`'	`-5'
`7x'	`'	`-5'
`8x'	`'	`-5'

path directory /usr/local/apache-maven-3.0.3/bin is not in the config file
and doesn't have ../man, man, ../share/man, or share/man subdirectories

path directory /usr/local/apache-maven-3.0.3/bin is not in the config file
and doesn't have ../man, man, ../share/man, or share/man subdirectories

path directory /usr/lib/qt-3.3/bin is not in the config file
and doesn't have ../man, man, ../share/man, or share/man subdirectories

path directory /usr/lib/ccache is not in the config file
and doesn't have ../man, man, ../share/man, or share/man subdirectories

path directory /usr/local/bin is in the config file
warning: /usr/local/man: No such file or directory
adding /usr/local/share/man to manpath

path directory /usr/bin is in the config file
adding /usr/share/man to manpath

path directory /bin is in the config file
/usr/share/man is already in the manpath

path directory /usr/local/sbin is in the config file
warning: /usr/local/man: No such file or directory
/usr/local/share/man is already in the manpath

path directory /usr/sbin is in the config file
/usr/share/man is already in the manpath

path directory /opt/real/RealPlayer is not in the config file
and doesn't have ../man, man, ../share/man, or share/man subdirectories

path directory /home/knox/bin is not in the config file
and doesn't have ../man, man, ../share/man, or share/man subdirectories

path directory /usr/local/lib is not in the config file
but does have a ../man, man, ../share/man, or share/man subdirectory
/usr/local/share/man is already in the manpath

path directory /usr/lib is not in the config file
but does have a ../man, man, ../share/man, or share/man subdirectory
/usr/share/man is already in the manpath

path directory /opt/real/RealPlayer is not in the config file
and doesn't have ../man, man, ../share/man, or share/man subdirectories

adding mandatory man directories

warning: /usr/man: No such file or directory
/usr/share/man is already in the manpath
/usr/local/share/man is already in the manpath
add_nls_manpaths(): processing /usr/local/share/man:/usr/share/man
checking for locale en_US.utf8
adding /usr/local/share/man to manpathlist
adding /usr/share/man/en to manpathlist
adding /usr/share/man to manpathlist
adding /usr/local/share/man to manpathlist
adding /usr/share/man to manpathlist
Removing duplicate manpath entry /usr/local/share/man (3) -> /usr/local/share/man (0)
Removing duplicate manpath entry /usr/share/man (3) -> /usr/share/man (2)
final search path = /usr/local/share/man:/usr/share/man/en:/usr/share/man
lower(grep) = "grep"
path=/usr/local/share/man
warning: can't read the fallback whatis text database /usr/local/share/man/whatis
path=/usr/share/man/en
warning: can't read the fallback whatis text database /usr/share/man/en/whatis
path=/usr/share/man
warning: can't read the fallback whatis text database /usr/share/man/whatis
grep: nothing appropriate.
hashtable_free: 0 entries, 0 (0%) unique
hashtable_free: 0 entries, 0 (0%) unique
Comment 1 rmknox 2012-12-12 18:08:36 EST
I got to f17 as a preupgrade from f16
Comment 2 Karel Zak 2012-12-13 06:04:17 EST
$ rpm -qf /usr/bin/apropos
man-db-2.6.0.2-9.fc17.x86_64
Comment 3 Peter Schiffer 2012-12-13 06:41:12 EST
Hello,

try to rebuild the database, run as root:
# mandb -c

Also make sure you have the cron installed and enabled to periodically update the database.

peter
Comment 4 rmknox 2012-12-13 12:08:02 EST
Hi Peter - thanks - it worked
but it sure issued a lot of diagnostics :)
I note to my embarrassment that I didn't specify my hardware - 32 bit

I'm up and running

[knox@knox ~]$ sudo rpm -qf /usr/bin/apropos
[sudo] password for knox: 
man-db-2.6.0.2-9.fc17.i686

[knox@knox ~]$ sudo mandb -c
Processing manual pages under /usr/share/man...
Updating index cache for path `/usr/share/man/man1'. Wait...mandb: warning: /usr/share/man/man1/amulegui.1.gz: whatis parse for amulegui(1) failed
mandb: warning: /usr/share/man/man1/col.1.gz: whatis parse for col(1) failed
mandb: warning: /usr/share/man/man1/faxformat.1.gz: whatis parse for faxformat(1) failed
mandb: warning: /usr/share/man/man1/mjpegtools.1.gz: whatis parse for mjpegtools(1) failed
mandb: warning: /usr/share/man/man1/mprof-report.1.gz: whatis parse for mprof-report(1) failed
Updating index cache for path `/usr/share/man/man3'. Wait...mandb: warning: /usr/share/man/man3/CPAN::Queue.3pm.gz: whatis parse for CPAN::Queue(3pm) failed
mandb: warning: /usr/share/man/man3/Coro::Intro.3pm.gz: whatis parse for Coro::Intro(3pm) failed
mandb: can't open /usr/share/man/man3/SRC_xerbla_array.f.3: No such file or directory
mandb: warning: /usr/share/man/man3/XERBLA_ARRAY.3.gz: bad symlink or ROFF `.so' request
mandb: warning: /usr/share/man/man3/PDA::Pilot.3pm.gz: whatis parse for PDA::Pilot(3pm) failed
mandb: warning: /usr/share/man/man3/CPAN::HandleConfig.3pm.gz: whatis parse for CPAN::HandleConfig(3pm) failed
mandb: warning: /usr/share/man/man3/TAP::Harness::Beyond.3pm.gz: whatis parse for TAP::Harness::Beyond(3pm) failed
mandb: warning: /usr/share/man/man3/CPAN::Tarzip.3pm.gz: whatis parse for CPAN::Tarzip(3pm) failed
mandb: can't open /usr/share/man/man3/INSTALL_lsame.f.3: No such file or directory
mandb: warning: /usr/share/man/man3/LSAME.3.gz: bad symlink or ROFF `.so' request
mandb: can't open /usr/share/man/man3/SRC_xerbla.f.3: No such file or directory
mandb: warning: /usr/share/man/man3/XERBLA.3.gz: bad symlink or ROFF `.so' request
mandb: warning: /usr/share/man/man3/CPAN::Debug.3pm.gz: whatis parse for CPAN::Debug(3pm) failed
Updating index cache for path `/usr/share/man/man8x'. Wait...done.
Checking for stray cats under /usr/share/man...
Checking for stray cats under /var/cache/man...
Processing manual pages under /usr/share/man/bg...
Updating index cache for path `/usr/share/man/bg/man8'. Wait...done.
Checking for stray cats under /usr/share/man/bg...
Checking for stray cats under /var/cache/man/bg...
Processing manual pages under /usr/share/man/fi...
Updating index cache for path `/usr/share/man/fi/man8'. Wait...done.
Checking for stray cats under /usr/share/man/fi...
Checking for stray cats under /var/cache/man/fi...
Processing manual pages under /usr/share/man/eo...
Updating index cache for path `/usr/share/man/eo/man1'. Wait...mandb: warning: /usr/share/man/eo/man1/dcraw.1.gz: whatis parse for dcraw(1) failed
done.
Checking for stray cats under /usr/share/man/eo...
Checking for stray cats under /var/cache/man/eo...
Processing manual pages under /usr/share/man/fr.UTF-8...
Updating index cache for path `/usr/share/man/fr.UTF-8/man1'. Wait...done.
Checking for stray cats under /usr/share/man/fr.UTF-8...
Checking for stray cats under /var/cache/man/fr.UTF-8...
Processing manual pages under /usr/share/man/ru...
Updating index cache for path `/usr/share/man/ru/man1'. Wait...mandb: warning: /usr/share/man/ru/man1/amulegui.1.gz: whatis parse for amulegui(1) failed
mandb: warning: /usr/share/man/ru/man1/alc.1.gz: whatis parse for alc(1) failed
mandb: warning: /usr/share/man/ru/man1/amulecmd.1.gz: whatis parse for amulecmd(1) failed
mandb: warning: /usr/share/man/ru/man1/wxcas.1.gz: whatis parse for wxcas(1) failed
mandb: warning: /usr/share/man/ru/man1/ed2k.1.gz: whatis parse for ed2k(1) failed
mandb: warning: /usr/share/man/ru/man1/amuled.1.gz: whatis parse for amuled(1) failed
mandb: warning: /usr/share/man/ru/man1/amuleweb.1.gz: whatis parse for amuleweb(1) failed
mandb: warning: /usr/share/man/ru/man1/amule.1.gz: whatis parse for amule(1) failed
mandb: warning: /usr/share/man/ru/man1/cas.1.gz: whatis parse for cas(1) failed
mandb: warning: /usr/share/man/ru/man1/alcc.1.gz: whatis parse for alcc(1) failed
Updating index cache for path `/usr/share/man/ru/man3'. Wait...done.
Checking for stray cats under /usr/share/man/ru...
Checking for stray cats under /var/cache/man/ru...
Processing manual pages under /usr/share/man/nl...
Updating index cache for path `/usr/share/man/nl/man8'. Wait...done.
Checking for stray cats under /usr/share/man/nl...
Checking for stray cats under /var/cache/man/nl...
Processing manual pages under /usr/share/man/de...
Updating index cache for path `/usr/share/man/de/man1'. Wait...mandb: warning: /usr/share/man/de/man1/amulegui.1.gz: whatis parse for amulegui(1) failed
Updating index cache for path `/usr/share/man/de/man3'. Wait...done.
Checking for stray cats under /usr/share/man/de...
Checking for stray cats under /var/cache/man/de...
Processing manual pages under /usr/share/man/it...
Updating index cache for path `/usr/share/man/it/man1'. Wait...mandb: warning: /usr/share/man/it/man1/amulegui.1.gz: whatis parse for amulegui(1) failed
Updating index cache for path `/usr/share/man/it/man3'. Wait...done.
Checking for stray cats under /usr/share/man/it...
Checking for stray cats under /var/cache/man/it...
Processing manual pages under /usr/share/man/tr...
Updating index cache for path `/usr/share/man/tr/man1'. Wait...mandb: warning: /usr/share/man/tr/man1/amulegui.1.gz: whatis parse for amulegui(1) failed
mandb: warning: /usr/share/man/tr/man1/alc.1.gz: whatis parse for alc(1) failed
mandb: warning: /usr/share/man/tr/man1/amulecmd.1.gz: whatis parse for amulecmd(1) failed
mandb: warning: /usr/share/man/tr/man1/wxcas.1.gz: whatis parse for wxcas(1) failed
mandb: warning: /usr/share/man/tr/man1/ed2k.1.gz: whatis parse for ed2k(1) failed
mandb: warning: /usr/share/man/tr/man1/amuled.1.gz: whatis parse for amuled(1) failed
mandb: warning: /usr/share/man/tr/man1/amuleweb.1.gz: whatis parse for amuleweb(1) failed
mandb: warning: /usr/share/man/tr/man1/amule.1.gz: whatis parse for amule(1) failed
mandb: warning: /usr/share/man/tr/man1/cas.1.gz: whatis parse for cas(1) failed
mandb: warning: /usr/share/man/tr/man1/alcc.1.gz: whatis parse for alcc(1) failed
Updating index cache for path `/usr/share/man/tr/man8'. Wait...done.
Checking for stray cats under /usr/share/man/tr...
Checking for stray cats under /var/cache/man/tr...
Processing manual pages under /usr/share/man/cs...
Updating index cache for path `/usr/share/man/cs/man8'. Wait...done.
Checking for stray cats under /usr/share/man/cs...
Checking for stray cats under /var/cache/man/cs...
Processing manual pages under /usr/share/man/sl...
Updating index cache for path `/usr/share/man/sl/man8'. Wait...done.
Checking for stray cats under /usr/share/man/sl...
Checking for stray cats under /var/cache/man/sl...
Processing manual pages under /usr/share/man/pt...
Updating index cache for path `/usr/share/man/pt/man8'. Wait...done.
Checking for stray cats under /usr/share/man/pt...
Checking for stray cats under /var/cache/man/pt...
Processing manual pages under /usr/share/man/ro...
Updating index cache for path `/usr/share/man/ro/man8'. Wait...done.
Checking for stray cats under /usr/share/man/ro...
Checking for stray cats under /var/cache/man/ro...
Processing manual pages under /usr/share/man/ca...
Updating index cache for path `/usr/share/man/ca/man1'. Wait...done.
Checking for stray cats under /usr/share/man/ca...
Checking for stray cats under /var/cache/man/ca...
Processing manual pages under /usr/share/man/sv...
Updating index cache for path `/usr/share/man/sv/man3'. Wait...done.
Checking for stray cats under /usr/share/man/sv...
Checking for stray cats under /var/cache/man/sv...
Processing manual pages under /usr/share/man/pt_BR...
Updating index cache for path `/usr/share/man/pt_BR/man8'. Wait...done.
Checking for stray cats under /usr/share/man/pt_BR...
Checking for stray cats under /var/cache/man/pt_BR...
Processing manual pages under /usr/share/man/pl...
Updating index cache for path `/usr/share/man/pl/man3'. Wait...done.
Checking for stray cats under /usr/share/man/pl...
Checking for stray cats under /var/cache/man/pl...
Processing manual pages under /usr/share/man/da...
Updating index cache for path `/usr/share/man/da/man8'. Wait...done.
Checking for stray cats under /usr/share/man/da...
Checking for stray cats under /var/cache/man/da...
Processing manual pages under /usr/share/man/en...
Updating index cache for path `/usr/share/man/en/man8'. Wait...done.
Checking for stray cats under /usr/share/man/en...
Checking for stray cats under /var/cache/man/en...
Processing manual pages under /usr/share/man/pl.UTF-8...
Updating index cache for path `/usr/share/man/pl.UTF-8/man1'. Wait...done.
Checking for stray cats under /usr/share/man/pl.UTF-8...
Checking for stray cats under /var/cache/man/pl.UTF-8...
Processing manual pages under /usr/share/man/id...
Updating index cache for path `/usr/share/man/id/man8'. Wait...done.
Checking for stray cats under /usr/share/man/id...
Checking for stray cats under /var/cache/man/id...
Processing manual pages under /usr/share/man/de.UTF-8...
Updating index cache for path `/usr/share/man/de.UTF-8/man1'. Wait...done.
Checking for stray cats under /usr/share/man/de.UTF-8...
Checking for stray cats under /var/cache/man/de.UTF-8...
Processing manual pages under /usr/share/man/ja...
Updating index cache for path `/usr/share/man/ja/man8'. Wait...done.
Checking for stray cats under /usr/share/man/ja...
Checking for stray cats under /var/cache/man/ja...
Processing manual pages under /usr/share/man/eu...
Updating index cache for path `/usr/share/man/eu/man1'. Wait...done.
Checking for stray cats under /usr/share/man/eu...
Checking for stray cats under /var/cache/man/eu...
Processing manual pages under /usr/share/man/fr...
Updating index cache for path `/usr/share/man/fr/man1'. Wait...mandb: warning: /usr/share/man/fr/man1/amulegui.1.gz: whatis parse for amulegui(1) failed
Updating index cache for path `/usr/share/man/fr/man3'. Wait...done.
Checking for stray cats under /usr/share/man/fr...
Checking for stray cats under /var/cache/man/fr...
Processing manual pages under /usr/share/man/el...
Updating index cache for path `/usr/share/man/el/man8'. Wait...done.
Checking for stray cats under /usr/share/man/el...
Checking for stray cats under /var/cache/man/el...
Processing manual pages under /usr/share/man/hu...
Updating index cache for path `/usr/share/man/hu/man1'. Wait...mandb: warning: /usr/share/man/hu/man1/amulegui.1.gz: whatis parse for amulegui(1) failed
mandb: warning: /usr/share/man/hu/man1/alc.1.gz: whatis parse for alc(1) failed
mandb: warning: /usr/share/man/hu/man1/amulecmd.1.gz: whatis parse for amulecmd(1) failed
mandb: warning: /usr/share/man/hu/man1/wxcas.1.gz: whatis parse for wxcas(1) failed
mandb: warning: /usr/share/man/hu/man1/ed2k.1.gz: whatis parse for ed2k(1) failed
mandb: warning: /usr/share/man/hu/man1/amuled.1.gz: whatis parse for amuled(1) failed
mandb: warning: /usr/share/man/hu/man1/amuleweb.1.gz: whatis parse for amuleweb(1) failed
mandb: warning: /usr/share/man/hu/man1/amule.1.gz: whatis parse for amule(1) failed
mandb: warning: /usr/share/man/hu/man1/cas.1.gz: whatis parse for cas(1) failed
mandb: warning: /usr/share/man/hu/man1/alcc.1.gz: whatis parse for alcc(1) failed
Updating index cache for path `/usr/share/man/hu/man8'. Wait...done.
Checking for stray cats under /usr/share/man/hu...
Checking for stray cats under /var/cache/man/hu...
Processing manual pages under /usr/share/man/sk...
Updating index cache for path `/usr/share/man/sk/man8'. Wait...done.
Checking for stray cats under /usr/share/man/sk...
Checking for stray cats under /var/cache/man/sk...
Processing manual pages under /usr/share/man/ko...
Updating index cache for path `/usr/share/man/ko/man8'. Wait...done.
Checking for stray cats under /usr/share/man/ko...
Checking for stray cats under /var/cache/man/ko...
Processing manual pages under /usr/share/man/zh_CN...
Updating index cache for path `/usr/share/man/zh_CN/man1'. Wait...mandb: warning: /usr/share/man/zh_CN/man1/dcraw.1.gz: whatis parse for dcraw(1) failed
Updating index cache for path `/usr/share/man/zh_CN/man3'. Wait...done.
Checking for stray cats under /usr/share/man/zh_CN...
Checking for stray cats under /var/cache/man/zh_CN...
Processing manual pages under /usr/share/man/es...
Updating index cache for path `/usr/share/man/es/man1'. Wait...mandb: warning: /usr/share/man/es/man1/amulegui.1.gz: whatis parse for amulegui(1) failed
Updating index cache for path `/usr/share/man/es/man8'. Wait...done.
Checking for stray cats under /usr/share/man/es...
Checking for stray cats under /var/cache/man/es...
Processing manual pages under /usr/share/man/zh_TW...
Updating index cache for path `/usr/share/man/zh_TW/man1'. Wait...mandb: warning: /usr/share/man/zh_TW/man1/dcraw.1.gz: whatis parse for dcraw(1) failed
Updating index cache for path `/usr/share/man/zh_TW/man8'. Wait...done.
Checking for stray cats under /usr/share/man/zh_TW...
Checking for stray cats under /var/cache/man/zh_TW...
Processing manual pages under /usr/share/man/hr...
Updating index cache for path `/usr/share/man/hr/man8'. Wait...done.
Checking for stray cats under /usr/share/man/hr...
Checking for stray cats under /var/cache/man/hr...
Processing manual pages under /usr/local/share/man...
Updating index cache for path `/usr/local/share/man/man8x'. Wait...done.
Checking for stray cats under /usr/local/share/man...
Checking for stray cats under /var/cache/man/local...
131 man subdirectories contained newer manual pages.
13847 manual pages were added.
0 stray cats were added.
[knox@knox ~]$ 

[knox@knox ~]$ apropos disk
baobab (1)           - A graphical tool to analyse disk usage
cdrecord (1)         - write data to optical disk media
...snip...
Comment 5 Peter Schiffer 2012-12-13 12:26:03 EST
I'm glad that worked. Thanks for your reply.

peter
Comment 6 rmknox 2012-12-14 16:18:43 EST
Hi Peter

There is something wrong with my setup - cron should have been running mandb.

As it is all my cron and anacron control files are empty.

My cron log file shows that it has not done anything since I switched from f14 to f16 in September.

Cron last updated mandb et al in September - at which time i was on f14. Since i stepped to f16 and then f17 cron has not updated anything.

I suspect that this is a failing in the preupdate process rather than what would have happened if I had installed from scratch - since I used preupgrade to get from f14 to f16 and then from f16 to f17. I suspect that if this failing were there in a scratch install you would have had many reports on it.

I think I can figure how to set up the anacrontab files - but it is possible that the whole updating system has been moved into gnome daemons? I don't seem to find any documentation that tells me  how to control what gets updated when in f17 - except the generic info in man cron and man  anacron.

I am reporting it here - not so much as request for help - but in my role as a beta tester - letting you know what I have found.
Comment 7 Peter Schiffer 2012-12-17 07:49:59 EST
Hmm.. Could you attach /etc/cron.daily/man-db.cron file and output of:
$ systemctl status crond.service
Comment 8 rmknox 2012-12-17 23:04:36 EST
Sure - also /var/log/cron

[knox@knox ~]$ sudo  systemctl status crond.service
[sudo] password for knox: 
crond.service - Command Scheduler
	  Loaded: loaded (/usr/lib/systemd/system/crond.service; disabled)
	  Active: inactive (dead)
	  CGroup: name=systemd:/system/crond.service
- - - - - - - -

[knox@knox ~]$ more /etc/cron.daily/man-db.cron
#! /bin/bash

if [ -e /etc/sysconfig/man-db ]; then
    . /etc/sysconfig/man-db
fi

if [ "$CRON" = "no" ]; then
   exit 0
fi

renice +19 -p $$ >/dev/null 2>&1
ionice -c3 -p $$ >/dev/null 2>&1

LOCKFILE=/var/lock/man-db.lock

# the lockfile is not meant to be perfect, it's just in case the
# two man-db cron scripts get run close to each other to keep
# them from stepping on each other's toes.  The worst that will
# happen is that they will temporarily corrupt the database
[ -f $LOCKFILE ] && exit 0

trap "{ rm -f $LOCKFILE ; exit 0; }" EXIT
touch $LOCKFILE
# create/update the mandb database
mandb $OPTS

exit 0

- - - - - - - 

[knox@knox ~]$ echo $CRON

[knox@knox ~]$ 

- - - - -  -

I did a preupgrade from f14 to f16 - as you may note from the following my timed tasks stopped recording in /var/log/cron at that time 

here is /var/log/cron
Sep 23 03:13:03 knox run-parts(/etc/cron.daily)[3210]: finished logrotate
Sep 23 03:13:03 knox run-parts(/etc/cron.daily)[3146]: starting man-db.cron
Sep 23 03:13:09 knox run-parts(/etc/cron.daily)[3219]: finished man-db.cron
Sep 23 03:13:09 knox run-parts(/etc/cron.daily)[3146]: starting mlocate.cron
Sep 23 03:13:38 knox run-parts(/etc/cron.daily)[3230]: finished mlocate.cron
Sep 23 03:13:38 knox run-parts(/etc/cron.daily)[3146]: starting prelink
Sep 23 03:13:38 knox run-parts(/etc/cron.daily)[3242]: finished prelink
Sep 23 03:13:38 knox run-parts(/etc/cron.daily)[3146]: starting readahead.cron
Sep 23 03:13:38 knox run-parts(/etc/cron.daily)[3253]: finished readahead.cron
Sep 23 03:13:38 knox run-parts(/etc/cron.daily)[3146]: starting tmpwatch
Sep 23 03:13:39 knox run-parts(/etc/cron.daily)[3279]: finished tmpwatch
Sep 23 03:13:39 knox anacron[3130]: Job `cron.daily' terminated
Sep 23 03:33:01 knox anacron[3130]: Job `cron.weekly' started
Sep 23 03:33:01 knox run-parts(/etc/cron.weekly)[3302]: starting 99-raid-check
Sep 23 03:33:01 knox run-parts(/etc/cron.weekly)[3313]: finished 99-raid-check
Sep 23 03:33:01 knox anacron[3130]: Job `cron.weekly' terminated
Sep 23 03:33:01 knox anacron[3130]: Normal exit (2 jobs run)
Sep 23 04:01:01 knox CROND[3342]: (root) CMD (run-parts /etc/cron.hourly)
Sep 23 04:01:01 knox run-parts(/etc/cron.hourly)[3342]: starting 0anacron
Sep 23 04:01:01 knox run-parts(/etc/cron.hourly)[3351]: finished 0anacron
Sep 23 05:01:01 knox CROND[3574]: (root) CMD (run-parts /etc/cron.hourly)
Sep 23 05:01:01 knox run-parts(/etc/cron.hourly)[3574]: starting 0anacron
Sep 23 05:01:01 knox run-parts(/etc/cron.hourly)[3584]: finished 0anacron
Sep 23 06:01:01 knox CROND[3640]: (root) CMD (run-parts /etc/cron.hourly)
Sep 23 06:01:01 knox run-parts(/etc/cron.hourly)[3640]: starting 0anacron
Sep 23 06:01:02 knox run-parts(/etc/cron.hourly)[3650]: finished 0anacron
Sep 23 07:01:01 knox CROND[3668]: (root) CMD (run-parts /etc/cron.hourly)
Sep 23 07:01:01 knox run-parts(/etc/cron.hourly)[3668]: starting 0anacron
Sep 23 07:01:01 knox run-parts(/etc/cron.hourly)[3678]: finished 0anacron
Sep 28 08:43:54 knox kernel: Kernel logging (proc) stopped.
Sep 28 08:43:54 knox rsyslogd: [origin software="rsyslogd" swVersion="5.8.10" x-pid="807" x-info="http://www.rsyslog.com"] exiting on signal 15.
Sep 28 09:22:28 knox kernel: [ 2262.809551] cfg80211: Calling CRDA to update world regulatory domain
Oct 15 11:04:56 knox kernel: Kernel logging (proc) stopped.
Oct 21 09:07:42 knox kernel: Kernel logging (proc) stopped.
Oct 22 12:34:51 knox kernel: Kernel logging (proc) stopped.
Oct 23 07:30:38 knox kernel: Kernel logging (proc) stopped.
Oct 23 07:30:38 knox rsyslogd: [origin software="rsyslogd" swVersion="5.8.10" x-pid="1051" x-info="http://www.rsyslog.com"] exiting on signal 15.
Oct 24 16:42:07 knox kernel: Kernel logging (proc) stopped.
Oct 24 21:01:16 knox kernel: Kernel logging (proc) stopped.
Oct 24 21:01:16 knox rsyslogd: [origin software="rsyslogd" swVersion="5.8.10" x-pid="1022" x-info="http://www.rsyslog.com"] exiting on signal 15.
Nov 11 06:52:48 knox avahi-daemon[1031]: Disconnected from D-Bus, exiting.
Nov 11 06:52:48 knox avahi-daemon[1031]: Got SIGTERM, quitting.
Nov 16 15:11:11 knox polkitd(authority=local): Unregistered Authentication Agent for unix-session:/org/freedesktop/ConsoleKit/Session1 (system bus name :1.58, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.utf8) (disconnected from bus)
Dec  4 14:17:20 knox kernel: Kernel logging (proc) stopped.
Dec  7 22:15:56 knox kernel: Kernel logging (proc) stopped.
Dec  8 21:40:55 knox kernel: Kernel logging (proc) stopped.
Dec 11 22:04:41 knox kernel: Kernel logging (proc) stopped.
Dec 12 21:05:36 knox kernel: Kernel logging (proc) stopped.
Dec 13 19:41:34 knox crontab[2142]: (knox) LIST (knox)
Dec 16 19:14:54 knox kernel: Kernel logging (proc) stopped.
Comment 9 Peter Schiffer 2012-12-18 08:09:55 EST
I see. You have crond.service disabled. To enable it, run as root:
# systemctl enable crond.service

This is probably because of migrating from init scripts in Fedora 14 to systemd in Fedora 15. I guess some services weren't migrated properly.

Please attach one more configuration file, /etc/sysconfig/man-db to see if man-db is enabled to run with cron.

Thanks,

peter
Comment 10 rmknox 2012-12-18 17:20:30 EST
Peter
here is /etc/sysconfig/man-db
# 
# Set to no to disable daily man-db update by /etc/cron.daily/man-db.cron
CRON="yes"

# Options used by mandb in /etc/cron.daily/man-db.cron, 
# we use -q as default, too much noise without.
OPTS="-q"

here is what happened when I enabled

[knox@knox ~]$ sudo systemctl enable crond.service
[sudo] password for knox: 
ln -s '/usr/lib/systemd/system/crond.service' '/etc/systemd/system/multi-user.target.wants/crond.service'
[knox@knox ~]$ 


here is a snip from the cron log
...
Dec 18 14:51:16 knox crond[775]: (CRON) INFO (running with inotify support)
Dec 18 14:01:02 knox CROND[1630]: (root) CMD (run-parts /etc/cron.hourly)
Dec 18 14:01:02 knox run-parts(/etc/cron.hourly)[1630]: starting 0anacron
Dec 18 14:01:02 knox anacron[1640]: Anacron started on 2012-12-18
Dec 18 14:01:02 knox run-parts(/etc/cron.hourly)[1642]: finished 0anacron
Dec 18 14:01:02 knox anacron[1640]: Will run job `cron.daily' in 34 min.
Dec 18 14:01:02 knox anacron[1640]: Will run job `cron.weekly' in 54 min.
Dec 18 14:01:02 knox anacron[1640]: Will run job `cron.monthly' in 74 min.
Dec 18 14:01:02 knox anacron[1640]: Jobs will be executed sequentially
...
I'll leave the computer on for the next 2 hours and check after they run

Thanks So Much

I went from f14 to f16 - skipped f15 - The fix apparently took place at f15 and the f16 preupgrade probbly assumed I was coming from f15
Dick
Comment 11 rmknox 2012-12-18 17:26:28 EST
by the way  fact that fedora migrated from init scripts in Fedora 14 to systemd in Fedora 15. doesn't seem to be documented anywhere that users like me can find it.

I'm sure if I looked in the right place I would find it - but it is not always obvious where the right place is

and - by the way - I love Fedora -- 17 is neat -- and thanks so much for the experience
Comment 12 rmknox 2012-12-18 19:54:06 EST
Dec 18 14:35:03 knox run-parts(/etc/cron.daily)[2124]: finished logrotate
Dec 18 14:35:03 knox run-parts(/etc/cron.daily)[2060]: starting man-db.cron
Dec 18 14:35:12 knox run-parts(/etc/cron.daily)[4373]: finished man-db.cron
Dec 18 14:35:12 knox run-parts(/etc/cron.daily)[2060]: starting mlocate.cron
Dec 18 14:36:37 knox run-parts(/etc/cron.daily)[4384]: finished mlocate.cron
Dec 18 14:36:37 knox run-parts(/etc/cron.daily)[2060]: starting prelink
Dec 18 14:41:05 knox run-parts(/etc/cron.daily)[12520]: finished prelink
Dec 18 14:41:05 knox run-parts(/etc/cron.daily)[2060]: starting tmpwatch
Dec 18 14:41:06 knox run-parts(/etc/cron.daily)[12546]: finished tmpwatch
Dec 18 14:41:06 knox anacron[1640]: Job `cron.daily' terminated (mailing output)
Dec 18 14:55:02 knox anacron[1640]: Job `cron.weekly' started
Dec 18 14:55:02 knox anacron[1640]: Job `cron.weekly' terminated
Dec 18 15:01:01 knox CROND[12627]: (root) CMD (run-parts /etc/cron.hourly)
Dec 18 15:01:01 knox run-parts(/etc/cron.hourly)[12627]: starting 0anacron
Dec 18 15:01:01 knox run-parts(/etc/cron.hourly)[12636]: finished 0anacron
Dec 18 15:15:02 knox anacron[1640]: Job `cron.monthly' started
Dec 18 15:15:02 knox anacron[1640]: Job `cron.monthly' terminated
Dec 18 15:15:02 knox anacron[1640]: Normal exit (3 jobs run)
Dec 18 16:01:01 knox CROND[12697]: (root) CMD (run-parts /etc/cron.hourly)
Dec 18 16:01:01 knox run-parts(/etc/cron.hourly)[12697]: starting 0anacron
Dec 18 16:01:01 knox run-parts(/etc/cron.hourly)[12706]: finished 0anacron

:)
Comment 13 Peter Schiffer 2012-12-19 08:33:06 EST
Great! I see your cron running properly :-)


Good source for new features in different Fedora releases can be found here:
https://fedoraproject.org/wiki/Features

Systemd feature:
https://fedoraproject.org/wiki/Features/systemd

Great page about systemd itself:
https://fedoraproject.org/wiki/Systemd

And some general information about Fedora upgrading:
https://fedoraproject.org/wiki/Upgrading_Fedora_using_yum


Hope this help ;-)

peter

Note You need to log in before you can comment on or make changes to this bug.